Get payment plan templates

Returns all payment plan templates and their fee structures. Templates define the fee schedule — amounts, percentages, currencies, and due date rules — that are applied when a plan is created for a candidate. Amounts are in the minor unit of the currency (e.g. 50000 = EUR 500.00).

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/payments/templates/plans
curl https://ff-business-school.fullfabric.cloud/apis/payments/templates/plans \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
[
  {
    "id": "65f2feb43b5d001c4a0014ec",
    "name": "MBA Deposit + 2 Instalments",
    "updated_at": "2025-09-12T14:16:31.753Z",
    "fees": [
      {
        "id": "65f2fee13b5d002954000246",
        "plan_id": "65f2feb43b5d001c4a0014ec",
        "amount": 500000,
        "percentage": 0,
        "type": "amount",
        "currency": "EUR",
        "description": "Deposit",
        "date_type": "distance",
        "days": 0,
        "days_from": "after_payment_plan_creation",
        "due_date": null
      },
      {
        "id": "65f2ff063b5d00156b002636",
        "plan_id": "65f2feb43b5d001c4a0014ec",
        "amount": 0,
        "percentage": 0.5,
        "type": "percentage",
        "currency": "",
        "description": "1st Tuition Instalment",
        "date_type": "distance",
        "days": 30,
        "days_from": "before_context_start_date",
        "due_date": null
      },
      {
        "id": "65f2ff203b5d00204c00150a",
        "plan_id": "65f2feb43b5d001c4a0014ec",
        "amount": 0,
        "percentage": 0.5,
        "type": "percentage",
        "currency": "",
        "description": "2nd Tuition Instalment",
        "date_type": "distance",
        "days": 90,
        "days_from": "after_context_start_date",
        "due_date": null
      }
    ]
  }
]